<template functional>
  <div :class="`chat-message__${props.side}`">
    {{ props.message.msg }}
  </div>
</template>

<script lang="ts">
import { PropType } from '@vue/composition-api'

interface Message {
  way: string;
  msg: string;
}

type Side = 'left' | 'right'

export default {
  name: 'ChatMessage',

  props: {
    message: {
      type: (Object as unknown) as PropType<Message>
    },
    side: {
      type: String as PropType<Side>
    }
  }
}
</script>

<style lang="scss" scoped>
@import '../../css/variables';

$headerHeight: 40px;

.chat-message {
  height: 100%;

  &__left,
  &__right {
    padding: 10px;
    max-width: 300px;
    border-radius: 8px;
    word-wrap: break-word;
    margin-bottom: 20px;

    @media (max-width: 550px) {
      max-width: 70%;
    }
  }

  &__left {
    background: #e3f3ff;
    margin-right: auto;

  }

  &__right {
    background: #effdde;
    margin-left: auto;
  }
}
</style>
